# CCUTelemetry

CCU telemetry requests

## GET /v3/telemetry/ccu/status

> Get the concurrent connected users telemetry for the current point in time

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CCUTelemetry","description":"CCU telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CCUStatusTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always '1m' in this endpoint","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/CCUStatusDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"CCUStatusDataTelemetry":{"type":"object","required":["timestamp","maxPlayers","currentPlayers"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"maxPlayers":{"type":"integer","format":"integer","description":"Maximum number of players the hosts can support","readOnly":true},"currentPlayers":{"type":"integer","format":"integer","description":"Number of players currently playing on the hosts","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/ccu/status":{"get":{"tags":["CCUTelemetry"],"summary":"Get the concurrent connected users telemetry for the current point in time","operationId":"getTelemetryCcuStatuses","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/ccu/status?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CCUStatusTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/ccu/status/aggregate

> Get the telemetry of aggregated average of concurrent connected users

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CCUTelemetry","description":"CCU telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CCUStatusAggregateTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, possible interval options are as follows\n- minute\n- hour\n- day\n- month","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/CCUStatusAggregateDataContainerTelemetry"},"description":"Object containing the data object grouped by timestamp and providerId","readOnly":true}},"additionalProperties":false},"CCUStatusAggregateDataContainerTelemetry":{"type":"object","required":["timestamp","ccus"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Unix time in which the data was saved","readOnly":true},"ccus":{"type":"array","items":{"$ref":"#/components/schemas/CCUStatusAggregateDataTelemetry"},"description":"List containing the telemetry data grouped by providerId","readOnly":true}},"additionalProperties":false},"CCUStatusAggregateDataTelemetry":{"type":"object","required":["providerId","maxPlayers","currentPlayers"],"properties":{"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"maxPlayers":{"type":"integer","format":"integer","description":"Maximum number of players the hosts can support","readOnly":true},"currentPlayers":{"type":"integer","format":"integer","description":"Number of players currently playing on the hosts","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/ccu/status/aggregate":{"get":{"tags":["CCUTelemetry"],"summary":"Get the telemetry of aggregated average of concurrent connected users","operationId":"getTelemetryCcuStatusAggregates","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/ccu/status/aggregate?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}},{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CCUStatusAggregateTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/ccu/application

> Count of players for an application

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CCUTelemetry","description":"CCU telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CCUApplicationTelemetry":{"type":"object","required":["applicationId","applicationName","playerCount","maxPlayers"],"properties":{"applicationId":{"type":"string","format":"","description":"Application ID","readOnly":true},"applicationName":{"type":"string","format":"","description":"The public name of your application"},"playerCount":{"type":"integer","format":"integer","description":"Number of players currently playing on the hosts","readOnly":true},"maxPlayers":{"type":"integer","format":"integer","description":"Maximum number of players the hosts can support","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/ccu/application":{"get":{"tags":["CCUTelemetry"],"summary":"Count of players for an application","operationId":"getTelemetryCcuApplications","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CCUApplicationTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/ccutelemetry-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
